package com.xhkjedu.sapi.model.appversion;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Transient;

/**
 * @author ywx
 * @classname TAppthirdHistory
 * @description 
 * @date 2020/6/23 17:53
 **/
@Data
public class TAppthirdHistory extends BaseBean {

    //第三方应用历史表
    @Id
    private Integer apphid;

    //第三方应用表
    private Integer appid;

    //构建版本号
    private Integer apphcode;

    //版本名称
    private String apphname;

    //app大小
    private Integer apphsize;

    //app存放路径
    private String apphpath;

    //版本描述
    private String apphcomm;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //所属学校
    private Integer schoolid;

    @Transient
    //应用logo
    private String applogo;

    @Transient
    //包名
    private String packagename;

    @Transient
    //应用名称
    private String appname;

    @Transient
    //APP状态1上架2下架
    private Integer appstate;

    @Transient
    //类型：1APP 2网站
    private Integer apptype;

    @Transient
    //归属2区平台3学校
    private Integer belong;
}
