package com.xhkjedu.sapi.model.assess;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_assess")
@Data
public class TAssess extends BaseBean {
    @Id
    //评价id
    private Integer assessid;

    //评价名称
    private String assessname;

    //评价说明
    private String comm;

    //评价模板id
    private Integer templateid;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    @Transient
    //开始时间
    private Integer starttime;

    @Transient
    //截至时间
    private Integer stoptime;

    @Transient
    //年级id
    private Integer gradeid;

    @Transient
    //班级id
    private Integer classid;

    @Transient
    //用户类型
    private Integer usertype;

    @Transient
    //科目id
    private String subjectid;
}
