package com.xhkjedu.sapi.model.assess;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "t_assess_file")
@Data
public class TAssessFile extends BaseBean {
    @Id
    //评价用户附件id
    private Integer afid;

    //评价用户id
    private Integer auid;

    //附件名称
    private String filename;

    //附件分类1word,2ppt,3pdf,4图片,5视频,6音频,7压缩包,10其他
    private Integer fileclass;

    //附件地址
    private String fileurl;

    //封面图地址
    private String filecover;

    //是否转换0未转换1已转换2转换失败3加密
    private Integer converted;

    //转换后的pdf文件地址
    private String pdfurl;

    //文件后缀
    private String suffix;

    //文件大小
    private Integer filesize;

    //视频时长（秒）
    private Integer duration;

    //创建时间
    private Integer createtime;

    //转换失败原因
    private String convertmsg;
}
