package com.xhkjedu.sapi.model.classreport;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_report_class_errorquefd")
@Data
public class TReportClassErrorquefd extends BaseBean {
    @Id
    //分析--班级报告--错题辅导统计
    private Integer cqfdid;

    //班级报告类型分类
    private Integer creportid;

    //班级数量
    private Integer classnum;

    //辅导视频数量
    private Integer fdnum;

    //辅导视频平均数量
    private Double fdavgnum;

    //辅导视频最高数量
    private Integer fdmaxnum;

    //排名
    private Integer fdrank;

    //辅导视频数量同比
    private Double prerate;

    //创建时间
    private Integer createtime;

    @Transient
    //开始时间
    private String begindate;

    @Transient
    //结束时间
    private String enddate;
}
