package com.xhkjedu.sapi.model.classreport;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_report_class_paper")
@Data
public class TReportClassPaper extends BaseBean {
    @Id
    //分析--班级报告--作业统计
    private Integer cpaperid;

    //班级报告分类
    private Integer creportid;

    //班级数量
    private Integer classnum;

    //作业次数
    private Integer papernum;

    //最高作业次数
    private Integer maxnum;

    //作业发布次数排名
    private Integer paperrank;

    //作业次数同比率
    private Double prenumrate;

    //作业提交率
    private Double commitrate;

    //平均提交率
    private Double commitavgrate;

    //最高提交率
    private Double commitmaxrate;

    //同比提交率
    private Double commitprerate;

    //提交率排名
    private Integer commitraterank;

    //批改率
    private Double checkrate;

    //平均批改率
    private Double checkavgrate;

    //最高批改率
    private Double checkmaxrate;

    //同比批改率
    private Double checkprerate;

    //作业批改率排名
    private Integer checkraterank;

    //正确率
    private Double correctrate;

    //平均正确率
    private Double correctavgrate;

    //最高正确率
    private Double correctmaxrate;

    //同比正确率
    private Double correctprerate;

    //作业正确率排名
    private Integer correctraterank;

    //创建时间
    private Integer createtime;

    @Transient
    //开始时间
    private String begindate;

    @Transient
    //结束时间
    private String enddate;
}
