package com.xhkjedu.sapi.model.classreport;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_report_class_point")
@Data
public class TReportClassPoint extends BaseBean {
    @Id
    //分析--班级报告--知识点掌握统计
    private Integer cpid;

    //班级报告类型id
    private Integer creportid;

    //知识点id
    private String pointid;

    //知识点名称
    private String pointname;

    //知识点掌握率
    private Double pointrate;

    //创建时间
    private Integer createtime;

    @Transient
    //开始时间
    private String begindate;

    @Transient
    //结束时间
    private String enddate;
}
