package com.xhkjedu.sapi.model.classreport;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_report_class_recite")
@Data
public class TReportClassRecite extends BaseBean {
    @Id
    //分析--班级报告--背诵统计
    private Integer creciteid;

    //班级报告分类id
    private Integer creportid;

    //班级数量
    private Integer classnum;

    //背诵次数
    private Integer recitenum;

    //最高背诵次数
    private Integer recitemaxnum;

    //背诵次数同比率
    private Double reciteprerate;

    //背诵次数排名
    private Integer reciterank;

    //提交率
    private Double commitrate;

    //平均提交率
    private Double commitavgrate;

    //最高提交率
    private Double commitmaxrate;

    //同比提交率
    private Double commitprerate;

    //提交率排名
    private Integer commitraterank;

    //正确率
    private Double correctrate;

    //平均正确率
    private Double correctavgrate;

    //最高正确率
    private Double correctmaxrate;

    //同比正确率
    private Double correctprerate;

    //正确率排名
    private Integer correctraterank;

    //创建时间
    private Integer createtime;

    @Transient
    //开始时间
    private String begindate;

    @Transient
    //结束时间
    private String enddate;
}
