package com.xhkjedu.sapi.model.classreport;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_report_class_room")
@Data
public class TReportClassRoom extends BaseBean {
    @Id
    //分析--班级报告--课堂统计
    private Integer croomid;

    //班级报告分类
    private Integer creportid;

    //班级数量
    private Integer classnum;

    //课堂次数
    private Integer roomnum;

    //课堂最高次数
    private Integer roommaxnum;

    //课堂次数排名
    private Integer roomrank;

    //同比率
    private Double prerate;

    //提问次数
    private Integer twnum;

    //堂测次数
    private Integer tcnum;

    //点名次数
    private Integer dmnum;

    //抢答次数
    private Integer qdnum;

    //出勤率
    private Double cqrate;

    //同比出勤率
    private Double cqprerate;

    //平均出勤率
    private Double cqavgrate;

    //最高出勤率
    private Double cqmaxrate;

    //出勤率排名
    private Integer cqraterank;

    //创建时间
    private Integer createtime;

    @Transient
    //开始时间
    private String begindate;

    @Transient
    //结束时间
    private String enddate;
}
