package com.xhkjedu.sapi.model.itemtool;

import com.xhkjedu.model.BaseBean;
import com.xhkjedu.sapi.vo.itemtool.ReadDateVo;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * @ClassName TRead
 * Description 阅读
 * Author WN
 * Date 2020/6/1 16:25
 **/
@Data
@Table(name = "t_read")
public class TRead extends BaseBean {
    //阅读文章表
    @Id
    private Integer readid;

    //文章标题
    private String readname;

    //文章内容
    private String readcomm;

    //是否上架1上架2下架
    private Integer readstate;

    //封面图地址
    private String readthumb;

    //资源地址
    private String readpath;

    //作者
    private String readauthor;

    //资源大小
    private Integer readsize;

    //资源后缀
    private String readsuffix;

    //阅读次数
    private Integer readcount;

    //上传人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //归属2区平台3学校
    private Integer belong;

    //学校id
    private Integer schoolid;

    //排序方式
    @Transient
    private String rorder;

    @Transient
    //开放时间列表
    private List<ReadDateVo> dates;

    @Transient
    //是否可读0不可读1可读
    private Integer readable;

    @Transient
    //归属名称
    private String belongname;
}
