package com.xhkjedu.sapi.model.itemtool;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Transient;

/**
 * @ClassName TReadStudent
 * Description 学生阅读记录
 * Author WN
 * Date 2020/6/17 10:16
 **/
@Data
public class TReadStudent extends BaseBean {

    //阅读学生记录表
    @Id
    private Integer rsid;

    //阅读id
    private Integer readid;

    //学生id
    private Integer studentid;

    //阅读时长
    private Integer costtime;

    //阅读时间
    private Integer readtime;

    //学校id
    private Integer schoolid;

    @Transient
    private String username;//学生姓名
    @Transient
    private Integer begintime;//条件结束时间
    @Transient
    private Integer endtime;//条件开始时间爱你

}
