package com.xhkjedu.sapi.model.subjectbook;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "t_resource_file")
@Data
public class TResourceFile extends BaseBean {
    @Id
    //资源附件表
    private Integer rfid;

    //资源表
    private String resourceid;

    //资源名称
    private String resourcename;

    //资源分类1word,2ppt,3pdf,4图片,5视频,6音频,7压缩包,10其他
    private Integer resourceclass;

    //资源地址
    private String resourceurl;

    //封面图地址
    private String resourcecover;

    //是否转换0未转换1已转换2转换失败3加密
    private Integer converted;

    //转换失败原因
    private String convertmsg;

    //转换后的pdf文件地址
    private String pdfurl;

    //文件后缀
    private String suffix;

    //文件大小
    private Integer resourcesize;

    //视频时长（秒）
    private Integer duration;

    //创建时间
    private Integer createtime;
}
