package com.xhkjedu.sapi.model.system;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import java.util.ArrayList;
import java.util.List;

@Table(name = "t_module")
@Data
public class TModule extends BaseBean {
    //模块表
    @Id
    private String moduleid;

    //模块名称
    private String modulename;

    //模块简称
    private String mabbrevname;

    //模块地址
    private String moduleurl;

    //图标地址
    private String moduleico;

    //所属父模块id
    private String modulepid;

    //模块归属：1教师 2学生
    private Integer belong;

    //模块归属码：1web端 2app端 3web和app
    private Integer belongcode;

    //排序
    private Integer morder;

    //模块备注
    private String comm;

    //内外部应用1内容应用2外部应用
    private Integer minout;

    //模块分组或应用1分组2应用
    private Integer mclass;

    //级别1一级2二级
    private Integer level;

    //是否是默认分类0不是1是
    private Integer mdefault;

    //是否显示：1显示10不显示
    private Integer display;

    //默认模块表id
    private String defaultid;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    List<TModule> modulechilds = new ArrayList<>();
}
