package com.xhkjedu.sapi.model.system;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 学校升级记录表
 * @Author ywx
 * Date 2023/6/29 15:08
 **/
@Table(name = "t_school_upgrade")
@Data
public class TSchoolUpgrade extends BaseBean {
    @Id
    private Integer suid;//学校升级记录表
    private Integer schoolid;//学校id
    private Integer uptype;//类型：1升级2降级
    private Integer oldyear;//旧年份
    private Integer newyear;//新年份
    private Integer uptime;//升级时间
    private Integer upuserid;//升级人
    private Integer upresult;//升级结果1成功2失败
    private String upcomm;//失败原因
}
