package com.xhkjedu.sapi.service.system;

import com.xhkjedu.sapi.mapper.system.UserLogMapper;
import com.xhkjedu.sapi.model.system.TUserLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class UserLogService {

    @Autowired
    private UserLogMapper userLogMapper;

    /**
     * 登录日志列表
     * @Param [log]
     * @Author ywx
     * @Date 2020/6/17 17:22
     * @return java.util.List<com.xhkjedu.model.system.TUserLog>
     **/
    public List<TUserLog> listLog(TUserLog log) {
        return userLogMapper.listLog(log);
    }

    /**
     * @Description 区域登录日志列表
     * @Date 2023/1/16 16:54
     * @Author wn
     * * @param log
     * * @return List<TUserLog>
     **/
    public List<Map> listLogQy(TUserLog log) {
        return userLogMapper.listLogQy(log);
    }
}
