package com.xhkjedu.sapi.vo.research;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @ClassName ResearchUserVo
 * Description TODO
 * Author WN
 * Date 2020/6/12 10:43
 **/
@Data
public class ResearchUserVo {
    private Integer researchid;

    //教研名称
    private String researchname;

    //教研封面
    private String researchcover;

    //教研视频路径
    private String researchpath;

    //教研内容
    private String researchcontent;

    //视频时长（秒）
    private Integer duration;

    //视频大小
    private Integer filesize;

    //阅读次数
    private Integer readnum;

    //开始时间
    private Integer starttime;

    //结束时间
    private Integer stoptime;

    //创建人姓名
    private String createname;

    //教研发起方伙伴学校
    private Integer schoolid;

    //状态0未评1已评
    private Integer rustate;

    //评课时间
    private Integer reviewtime;

    //评分内容
    private String content;

    //mp4文件编码：mpeg4网页端不能播放，h264网页端能播放
    private String mp4code;

    //是否公开0公开1不公开
    private Integer publiced;

    //hashb：是否有伙伴学校：0没有1有
    private Integer hashb;

    //其他用户评价
    private List<Map> others = new ArrayList<>();

    private List<Map> schools = new ArrayList<>();

    private Integer ruid;//教研教师id
}
