package com.xhkjedu.sclass.mapper.classroom;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sclass.model.classroom.TClassroomAskteacher;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ClassroomAskteacherMapper extends TkMapper<TClassroomAskteacher> {
    /**
     * 保存教师互动信息
     *
     * @return java.lang.Integer
     * @Param [teacher]
     * @Author ywx
     * @Date 2020/7/14 14:10
     **/
    Integer save(@Param("r") TClassroomAskteacher teacher);

    //批量保存教师互动信息
    void batchSave(@Param("teachers") List<TClassroomAskteacher> teachers);
}