package com.xhkjedu.sclass.mapper.classroom;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sclass.model.classroom.TClassroomPaperScantron;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author ywx
 * @classname RoomPaperScantronMapper
 * @description
 * @date 2020/7/15 8:36
 **/
public interface ClassroomPaperScantronMapper extends TkMapper<TClassroomPaperScantron> {
    /**
     * 保存答题卡题型下试题
     *
     * @return java.lang.Integer
     * @Param [savescan]
     * @Author ywx
     * @Date 2020/7/15 16:46
     **/
    Integer batchSave(List<TClassroomPaperScantron> savescan);

    //获取试题详情
    List<TClassroomPaperScantron> listByIds(@Param("pscaids") List<Long> pscaids);
}
