package com.xhkjedu.sclass.model.classroom;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "t_classroom_paper_scantron")
@Data
public class TClassroomPaperScantron extends BaseBean {
    @Id
    //课堂检测答题卡表
    private Long pscaid;

    //作业id
    private Long paperid;

    //作业答题卡题型关联表id
    private Long pqtypeid;

    //题型
    private Integer ctype;

    //题型名称
    private String ctypename;

    //题号
    private Integer psorder;

    //分值
    private Double psscore;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //正确答案
    private String psanswer;

    //选项数量
    private Integer optionnum;
}