package com.xhkjedu.sclass.model.classroom;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

@Table(name = "t_classroom_paper_student")
@Data
public class TClassroomPaperStudent extends BaseBean {
    @Id
    //课堂检测学生表
    private Integer psid;

    //试卷id
    private Long paperid;

    //班级id
    private Integer classid;

    //学生id
    private Integer studentid;

    //批改状态0未批改1已批改2批改中
    private Integer pschecked;

    //作业开始时间
    private Integer starttime;

    //作业结束时间
    private Integer stoptime;

    //花费时长（时间s）
    private Integer costtime;

    //试题数量
    private Integer papernum;

    //试卷总分
    private Double paperscore;

    //用户得分
    private Double stuscore;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    @Transient
    //作答列表
    private List<TClassroomPaperStudentScantron> scantrons;

    @Transient
    //科目id
    private String subjectid;
}