package com.xhkjedu.sclass.model.classroom;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "t_classroom_video")
@Data
public class TClassroomVideo extends BaseBean {
    @Id
    //课堂视频表
    private Integer rvid;

    //课堂id
    private Long roomid;

    //名称
    private String rvname;

    //路径 
    private String rvpath;

    //封面图地址
    private String rvcover;

    //视频时长（秒）
    private Integer duration;

    //mp4文件编码：mpeg4网页端不能播放，h264网页端能播放
    private String mp4code;

    //视频大小
    private Integer filesize;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;
}