package com.xhkjedu.sclass.model.paperstudent;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_paper_student")
@Data
public class TPaperStudent extends BaseBean {
    //试卷学生表id
    @Id
    private Integer psid;

    //试卷id
    private Long paperid;

    //班级id
    private Integer classid;

    //班级分组id
    //private Integer groupid;

    //学生id
    private Integer studentid;

    //状态0未提交1已提交2超时提交
    private Integer psstate;

    //需要哪个用户批改
    private Integer checkid;

    //批改状态0未批改1已批改2批改中
    private Integer pschecked;

    //作业开始时间
    private Integer starttime;

    //作业结束时间
    private Integer stoptime;

    //花费时长（时间s）
    private Integer costtime;

    //试题数量
    private Integer papernum;

    //试卷总分
    private Double paperscore;

    //用户得分
    private Double userscore;

    //是否显示答案0不显示1显示
    private Integer showanswer;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    @Transient
    //科目id
    private String subjectid;

    @Transient
    //作业名称
    private String papername;

    @Transient
    //试题批改结果json字符串
    private String questionResult;

    @Transient
    //作业是否完成批阅0未完成1已完成
    private Integer checked;
}
