package com.xhkjedu.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 返回值
 *
 * @author WN
 * @Date 2018年3月28日 下午5:14:31
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ResultVo {
    private int code = 0;// 返回是否成功  0成功 1失败
    private String msg = "";// 返回提示信息
    private Object obj;// 返回对象或者对象列表

    public ResultVo(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public ResultVo(Object obj, String msg) {
        this.obj = obj;
        this.msg = msg;
    }

    public ResultVo(int code, Object obj) {
        this.code = code;
        this.obj = obj;
    }
}
