package com.xhkjedu.sexam.mapper.notice;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sexam.model.notice.TMsg;

public interface MsgMapper extends TkMapper<TMsg> {
    /**
     * 1分钟内发送短信次数
     *
     * @return java.lang.Integer
     * @Param [userphone]
     * @Author ywx
     * @Date 2020/10/15 16:55
     **/
    Integer getMsgNumByUserPhone(String userphone);

    /**
     * 根据手机号和验证码获取短信信息
     * @Param [userphone, msgcode]
     * @Author ywx
     * @Date 2020/10/15 17:04
     * @return com.xhkjedu.model.system.TMsg
     **/
    TMsg findByUserPhoneAndCode(String userphone, Integer msgcode);
}