package com.xhkjedu.sexam.mapper.paper;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sexam.model.paper.EPaperAnalyze;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 试卷分析
 * @Author WN
 * Date 2022/7/18 15:04
 **/
public interface EPaperAnalyzeMapper extends TkMapper<EPaperAnalyze> {
    //删除试卷分析
    void deleteByEpid(@Param("epid")Integer epid);

    //获取试卷分析
    Map getPaperAnalzyeByEpid(@Param("epid")Integer epid);

    //根据考试id和科目获取试卷你分析
    Map getPaperAnalzyeBySubjectid(@Param("examid")Integer examid,@Param("subjectid")String subjectid);
}
