package com.xhkjedu.sexam.model.exam;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "e_class_student")
@Data
public class EClassStudent extends BaseBean {
    @Id
    //考试关联学生表
    private Integer ecsid;

    //考试id
    private Integer examid;

    //班级id
    private Integer classid;

    //学生id
    private Integer studentid;

    //学生pdf报告
    private String reportstu;

    @Transient
    //学生姓名
    private String studentname;

    @Transient
    private String examno;//考号

    @Transient
    private Integer schoolid;//学校id
}