package com.xhkjedu.sexam.model.exam;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.*;

@Table(name = "e_subject")
@Data
public class ESubject extends BaseBean {
    @Id
    //考试科目表
    private Integer esid;

    //考试表id
    private Integer examid;

    //科目表id
    private String subjectid;

    //考试日期
    private String sdate;

    //开始时间(10:00)
    private String begintime;

    //结束时间(12:00)
    private String endtime;

    //出卷人id
    private Integer teacherid;

    //设置状态0未开始1设置完成2退回
    private Integer esstate;

    //设置人
    private Integer handleid;

    //设置时间
    private Integer handletime;

    //科目名称
    private String subjectname;

    @Transient
    //学校id
    private Integer schoolid;
}