package com.xhkjedu.sexam.model.paper;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "e_paper_file")
@Data
public class EPaperFile extends BaseBean {
    @Id
    //考试试卷附件表
    private Integer epfid;

    //考试试卷表
    private Integer epid;

    //文件地址
    private String filepath;

    //原文档保存地址
    private String sourcepath;

    //文件类型1题干2答案
    private Integer fileclass;

    //文件顺序
    private Integer fileorder;

    //创建人di
    private Integer createid;

    //创建时间
    private Integer createtime;

    @Transient
    private Integer converted;
}