package com.xhkjedu.sexam.model.paperstudent;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description: 扫描答题卡批次表
 * @Author: wn
 * @CreateTime: 2022-08-11  09:06
 */
@Table(name = "e_scanbatch")
@Data
public class EScanbatch extends BaseBean {
    @Id
    private Integer batchid;

    //扫描批次名称
    private String batchname;

    //考试id
    private Integer examid;

    //试卷id
    private Integer epid;

    //批次应扫张数
    private Integer batchnum;

    //扫描数量(包含成和失败:只要调用保存的方法就加1)
    private Integer scannum;

    //扫描出错数量
    private Integer errornum;

    //缺考数量
    private Integer qknum;

    //违规数量
    private Integer wgnum;

    //创建时间
    private Integer createtime;

    //扫描仪mac地址
    @Transient
    private String device;


}
