package com.xhkjedu.sexam.model.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "e_rclass")
@Data
public class ERclass extends BaseBean {
    @Id
    //考试报告班级表
    private Integer rcid;

    //考试id
    private Integer examid;

    //班级id
    private Integer classid;

    //科目id
    private String subjectid;

    //科目名称
    private String subjectname;

    //满分
    private Double allscore;

    //班级最高分
    private Double classmaxscore;

    //班级最低分
    private Double classminscore;

    //班级平均分
    private Double classavgscore;

    //班级平均分排名
    private Integer classavgscorerank;

    //校最高分
    private Double schoolmaxscore;

    //校平均分
    private Double schoolavgscore;

    //实考人数
    private Integer stunum;

    //缺考人数
    private Integer missnum;

    //优秀率
    private Double yxrate;

    //良好率
    private Double lhrate;

    //及格率
    private Double jgrate;

    //低分率
    private Double dfrate;

    //标准差
    private Double bzc;

    //全科标准差
    private Double qkbzc;
}