package com.xhkjedu.sexam.model.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "e_rclass_question")
@Data
public class ERclassQuestion extends BaseBean {
    @Id
    //考试试卷班级分析表
    private Integer rcqid;

    //考试id
    private Integer examid;

    //班级id
    private Integer classid;

    //科目id
    private String subjectid;

    //试卷id
    private Integer epid;

    //试题主键id
    private Integer eptqid;

    private String questionid;//试题id(单题id,母题id)

    //序号
    private String qn;

    //试题排序
    private Integer qorder;

    //分值
    private Double score;

    //难易度
    private Integer complexity;

    //题型名称
    private String qtypename;

    //班级得分
    private Double classscore;

    //班级最高分
    private Double classmaxscore;

    //班级平均分
    private Double classavgscore;

    //班级得分率
    private Double classsrate;

    //得分率分组：1优秀率≥85%2良好率≥70%3合格率≥60%5低分率≥40%
    private Integer classratetype;

    //年级得分
    private Double gradescore;

    //年级最高分
    private Double grademaxscore;

    //年级平均分
    private Double gradeavgscore;

    //年级得分率
    private Double gradesrate;

    //高频错误选项
    private String erroroption;

    //学生作答情况
    private String answerjson;

    //优秀学生
    private String goodstujson;

    //违规学生
    private String badstujson;

    //满分人数
    private Integer fullscorenum;

    //处理题型
    private Integer ctype;
}