package com.xhkjedu.sexam.vo.paper;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @classname EPaperVo
 * @description 试卷
 * @date 2022/8/15 9:23
 **/
@Data
public class EPaperVo {
    private Integer epid;//试卷id
    private String subjectid;//科目id
    private String subjectname;//科目名称
    private Integer pnum;//试题数量
    private Integer zgtnum;//主观题数量
    private Integer stunum;//学生数量
    private Double pyrate;//阅卷进度
    private List<Map> questions;//试题
    private List<Map> teachers;//阅卷教师
    private Integer correcttype;//批阅类型
    private String correctJson;//阅卷json

    private Integer schoolid;//学校id
}
