package com.xhkjedu.slive.model.agora;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "t_agoralicense_record")
@Data
public class TAgoralicenseRecord extends BaseBean {
    @Id
    //激活记录表
    private Integer recordid;

    //license表
    private Integer agid;

    //注册或续期时间(秒)
    private Integer createtime;

    //有效期，单位为天
    private Integer validityperiod;

    //是否激活：0未激活1已激活
    private Integer activated;

    //激活时间（秒）
    private Integer activatedtime;
}