package com.xhkjedu.slive.model.gradeclass;

import com.xhkjedu.model.BaseBean;
import com.xhkjedu.slive.vo.gradeclass.GroupStudentVo;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

@Table(name = "t_group")
@Data
public class TGroup extends BaseBean {
    //班级分组id
    @Id
    private Integer groupid;

    //分组名称
    private String groupname;

    //班级id
    private Integer classid;

    //班级分组类型1全体2一般分组
    private Integer grouptype;

    //分组人数
    private Integer groupnum;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //当前年份
    @Transient
    private Integer year;

    //资源id
    @Transient
    private String resourceid;

    //分组下学生
    @Transient
    private List<GroupStudentVo> students = new ArrayList<>();
}
