package com.xhkjedu.slive.model.liveplay;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "l_course_section_student")
@Data
public class LCourseSectionStudent extends BaseBean {
    @Id
    //课程课节学生关联关系表id
    private Integer csid;

    //课程id
    private Integer courseid;

    //课节id
    private Integer sectionid;

    //班级id
    private Integer classid;

    //学生id
    private Integer studentid;

    //最早进课堂时间
    private Integer tostamp;

    //最晚出课堂时间
    private Integer outstamp;

    //创建时间
    private Integer createtime;

    //在课堂中总时长(秒)
    private Integer totaltime;

    //上线/下线状态0默认1上线2下线
    private Integer onlined;

    //登录ip
    private String logip;

    //登录地址
    private String logaddress;

    //设备类型：live_pc_s,p_pad_s,p_web_s
    private String device;

    @Transient
    //年级
    private Integer gradeid;

    @Transient
    //班级ids
    private String classids;
}