package com.xhkjedu.slive.vo.liveplay;

import lombok.Data;

import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;

/**
 * @author WN
 * @className MessageBodyv
 * @description 消息接收
 * @date 2019/3/5 15:13
 **/
@Data
public class MessageBodyVo {
    private Integer c;//类型：1001开始直播 1002结束直播 2001进入直播 2002剔出用户 2003退出直播
    //3001举手 4001上台 4002下台
    //5001打开某人摄像头 5002关闭某人摄像头 6001打开某人麦克风 6002关闭某人麦克风
    //7001打开所有摄像头 7002关闭所有摄像头 8001打开所有麦克风 8002关闭所有麦克风
    //9001发起抢答 9002参与抢答 9003结束抢答
    //1011发起提问 1012学生作答 1013教师结束答题 1014指定正确答案 1020获取在线学生

    private String askid;//互动id

    private Integer rid;//直播间编号
    private Integer f;//发送者id
    private Integer[] t;//接收者id数组
    private Map<String,Object> b = new HashMap<>();//内容
    private String d;//设备，平板pad  网页web
    private String m;//错误信息
    private Integer u;//用户类型1老师2学生
    private Integer s;//0不发1发
    private String mid;//消息id

    public MessageBodyVo(String m) {
        this.m = m;
    }

    public MessageBodyVo() {
    }

    @Override
    public String toString() {
        return "MessageBodyVo{" +
                "c=" + c +
                ", askid='" + askid + '\'' +
                ", rid=" + rid +
                ", f=" + f +
                ", t=" + Arrays.toString(t) +
                ", b=" + b +
                ", d='" + d + '\'' +
                ", m='" + m + '\'' +
                ", u=" + u +
                ", s=" + s +
                ", mid='" + mid + '\'' +
                '}';
    }
}
