package com.xhkjedu.sstudy.mapper.question;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sstudy.model.question.TQuestion;
import com.xhkjedu.sstudy.model.subjectbook.TSubject;
import com.xhkjedu.sstudy.model.subjectbook.TSubjectQuestiontype;
import com.xhkjedu.sstudy.vo.question.QuestionVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description
 * @Author WN
 * Date 2022/8/16 16:48
 **/
@Repository
public interface ZQuestionUpdateMapper extends TkMapper<TQuestion> {
    List<QuestionVo> listQuestions(@Param("level")Integer level,@Param("subjectid")String subjectid);

    List<TSubjectQuestiontype> listSubjectQtype(@Param("level")Integer level,@Param("subjectid")String subjectid);

    List<TSubject> listSubjects();

    //修改原试题状态
    void updateBatchQuestionState(@Param("questionids")List<String> questionids);
}
