package com.xhkjedu.sstudy.model.paperreport;

import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/*
 * @Description 作业报告班级表
 * @Author WN
 * @Date 2023/4/17 9:31
 */
@Data
@Table(name = "t_paper_rclass")
public class PaperRclass {
    @Id
    private Integer pcid;

    // 作业id
    private Integer paperid;

    // 班级id
    private Integer classid;

    // 作业总人数
    private Integer classnum;

    // 作业提交数量
    private Integer commitnum;

    // 作业批改数量
    private Integer checknum;

    // 作业批改率
    private Double checkrate;

    // 作业总分值
    private Double paperscore;

    // 班级得分率
    private Double classscorerate;

    // 班级平均分
    private Double classavgscore;

    // 班级最高分
    private Double classmaxscore;

    // 班级最低分
    private Double classminscore;

    // 校平均分
    private Double schoolavgscore;

    // 校最高分
    private Double schoolmaxscore;

    // 班级平均用时
    private Double classavgtime;
}