package com.xhkjedu.sstudy.model.paperreport;

import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/*
 * @Description作业报告班级知识点
 * @Author WN
 * @Date 2023/4/17 9:35
 */
@Data
@Table(name = "t_paper_rclass_point")
public class PaperRclassPoint {
    @Id
    private Integer pcpid;

    // 作业id
    private Integer paperid;

    // 班级id
    private Integer classid;

    // 知识点id
    private String pointid;

    // 知识点名称
    private String pointname;

    // 班级得分率
    private Double classscorerate;

    // 班级错误率
    private Double classlostrate;

    //校得分率
    private Double schoolscorerate;

    //校失分率
    private Double schoollostrate;

    //知识点对应题号
    private String qns;
}