package com.xhkjedu.sstudy.model.paperreport;

import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/*
 * @Description 作业报告班级试题错误率表
 * @Author WN
 * @Date 2023/4/17 9:36
 */
@Data
@Table(name = "t_paper_rclass_question")
public class PaperRclassQuestion {
    @Id
    private Integer pcqid;

    // 作业id
    private Integer paperid;

    // 班级id
    private Integer classid;

    // 处理题型
    private Integer ctype;

    // 试题id
    private String questionid;

    // 作业试题主键id
    private Integer ptqid;

    // 题号
    private String qn;

    // 试题排序
    private Integer qorder;

    // 试题题型id
    private String qtypename;

    // 试题分值
    private Double qscore;

    // 班级平均分
    private Double classavgscore;

    // 班级得分率
    private Double classscorerate;

    // 班级错误率
    private Double classlostrate;

    // 校平均分
    private Double schoolavgscore;

    // 校得分率
    private Double schoolscorerate;

    // 校失分率
    private Double schoollostrate;

    // 作答情况
    private String answerjson;

    //作业题型id
    private Integer ptid;

    //题型序号
    private Integer ptorder;
}