package com.xhkjedu.sstudy.model.paperreport;

import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/*
* @Description 作业报告学生知识点分析
* @Author WN
* @Date 2023/6/9 9:27:11
*/
@Data
@Table(name = "t_paper_rstudent_point")
public class PaperRstudentPoint {
    @Id
    private Integer prspid;

    // 作业id
    private Integer paperid;

    // 班级id
    private Integer classid;

    //学生id
    private Integer studentid;

    // 知识点id
    private String pointid;

    // 知识点名称
    private String pointname;

    // 得分率
    private Double scorerate;

    // 错误率
    private Double lostrate;

    //知识点对应题号
    private String qns;
}