package com.xhkjedu.sstudy.model.recite;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

@Table(name = "t_recite_group")
@Data
public class TReciteGroup extends BaseBean {
    //背诵班级表
    @Id
    private Integer rgid;

    //背诵表主键
    private Integer reciteid;

    //班级id
    private Integer classid;

    //班级分组id
    //private Integer groupid;

    //作业状态：21未布置 22 已布置
    private Integer rgstate;

    //开始时间
    private Integer starttime;

    //结束时间
    private Integer stoptime;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //班级分组id
    @Transient
    private List<Integer> groups = new ArrayList<>();
}
