package com.xhkjedu.sstudy.model.subjectbook;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

@Table(name = "t_point")
@Data
public class TPoint extends BaseBean {
    //知识点表
    @Id
    private String pointid;

    //知识点名称
    private String pointname;

    //知识点排序
    private Integer pointorder;

    //所属知识点id
    private String pointpid;

    //科目id
    private String subjectid;

    //知识点所属层级
    private Integer pointlevel;

    //创建人
    private Integer createid;

    //创建时间
    private Integer createtime;

    //归属1平台3学校
    private Integer belong;

    //学校id
    private Integer schoolid;

    //同步时间戳
    private Integer timeunix;

    @Transient
    private String createformat;

    private List<TPoint> children = new ArrayList<>();
}
