package com.xhkjedu.sstudy.model.subjectbook;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_subject_book")
@Data
public class TSubjectBook extends BaseBean {
    //科目教材表
    @Id
    private String lsbid;

    //所属学段1小学2初中3高中4大学
    private Integer level;

    //科目id
    private String subjectid;

    @Transient
    //科目名称
    private String subjectname;

    //教材名称
    private String lsbname;

    //教材排序
    private Integer lsborder;

    //封面图地址
    private String coverpath;

    //创建时间
    private Integer createid;

    //创建时间
    private Integer createtime;

    //版本id
    private String versionid;

    //归属1平台3学校
    private Integer belong;

    //同步时间戳
    private Integer timeunix;

    @Transient
    //版本名称
    private String versionname;

    //学校id
    private Integer schoolid;
}
