package com.xhkjedu.sstudy.vo.paper;

import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class PaperListVo {
    //作业id
    private Integer paperid;

    //作业名称
    private String papername;

    //作业类型1结构性试题2自定义答题卡3靶向作业
    private Integer papertype;

    //作业分类1课前2课后
    private Integer paperclass;

    //作业状态：21未布置 22 已布置
    private Integer paperstate;

    //批改方式1教师批改2学生互改3指定学生批改4自动批改
    private Integer checktype;

    //创建人id
    private Integer createid;

    //上传时间
    private Integer createtime;

   //创建人姓名
    private String createname;

    //作业开始时间
    private Integer starttime;

    //作业截至时间
    private Integer stoptime;

    //试题数量
    private Integer papernum;

    //答案显示方式：1作业截至时间，2提交后显示
    private Integer showtype;

    //班级集合
    private List<PaperClassVo> classes;

    //学校集合
    private List<Map> schools;

    //批阅
    private List<Map> checklist;

    //学校id
    private Integer schoolid;

    //发布作业学生数量
    private Integer classnum;

    //已提交学生数量
    private Integer ytjnum;

    //已批阅学生
    private Integer ypgnum;

    //当前登录教师学校id
    private Integer logschoolid;

    //是否生成报告：0未生产1已生成
    private Integer hasreport;

    private Integer timetype;

    //是否有伙伴学校：0没有1有
    private Integer hashb;
}
