package com.xhkjedu.sstudy.vo.paper;

import com.xhkjedu.sstudy.vo.paperstudent.StudentVo;
import lombok.Data;

import java.util.List;

@Data
public class PaperTeacherAppVo {
    //作业id
    private Integer paperid;

    //作业名称
    private String papername;

    //试题数量
    private Integer papernum;

    //作业总分
    private Double paperscore;

    //作业类型1结构性试题2自定义答题卡3靶向作业
    private Integer papertype;

    //作业状态：21未布置 22 已布置
    private Integer paperstate;

    //批改方式1教师批改2学生互改3指定学生批改4自动批改
    private Integer checktype;

    //发布日期
    private Integer starttime;

    //作业截至时间
    private Integer stoptime;

    //作业是否完成批阅0未完成1已完成
    private Integer checked;

    //发布人数
    private Integer fbnum;

    //未提交人数
    private Integer wtjnum;

    //待批改人数
    private Integer dpgnum;

    //提交人数
    private Integer commitnum;

    //批改人数
    private Integer checknum;

    //提交率
    private double commitrate;

    //作业分类1课前2课后
    private Integer paperclass;

    //创建人id
    private Integer createid;

    //科目id
    private String subjectid;

    //作业学生列表
    private List<StudentVo> students;

    //学校id
    private Integer schoolid;

    private Integer logschoolid;

    //创建人姓名
    private String createname;

    //是否有伙伴学校：0没有1有
    private Integer hashb;
}
