package com.xhkjedu.sstudy.vo.paperstudent;

import com.xhkjedu.sstudy.model.paperstudent.TPaperClass;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @ClassName PaperGroupParam
 * Description 作业班级参数
 * Author WN
 * Date 2020/6/9 14:35
 **/
@Data
public class PaperGroupParam {
    //作业id
    private Integer paperid;

    //作业开始时间
    private Integer starttime;

    //作业截至时间
    private Integer stoptime;

    //答案显示方式：1作业截至时间，2提交后显示
    private Integer showtype;

    //创建人id
    private Integer createid;

    //学校id
    private Integer schoolid;

    //提交形式：图片,文字,视频,音频 ["image","text","video","audio"]
    private String committype;

    //时间类型：1统一布置2分班布置
    private Integer timetype;

    //布置作业对象
    private List<TPaperClass> classlst = new ArrayList<>();

    private List<PaperClassParam> selclass = new ArrayList<>();//发布作业选中的班级集合

    //集团校班级
    private List<Map> jtrclist = new ArrayList<>();

    //是否有伙伴学校：0没有1有
    private Integer hashb;

    //作业状态：21未布置 22 已布置
    private Integer paperstate;

    //发布年份
    private Integer year;

}
