package com.xhkjedu.suser.mapper.gradeclass;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.suser.model.gradeclass.TGroup;
import com.xhkjedu.suser.vo.gradeclass.ClassGroupVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface GroupMapper extends TkMapper<TGroup> {
    //更新分组人数
    void updateNum(@Param("groupid") Integer groupid);

    //获取列表
    List<TGroup> findAll(@Param("classid") Integer classid,@Param("createid") Integer createid);

    //教师分组列表
    List<ClassGroupVo> teacherList(@Param("teacherid") Integer teacherid, @Param("year") Integer year
            ,@Param("schoolid") Integer schoolid);

    //伙伴学校班级分组列表
    List<Map> teacherListJtClass(@Param("schoolid") Integer schoolid, @Param("subjectid") String subjectid
            ,@Param("teacherid") Integer teacherid);
}
