package com.xhkjedu.suser.mapper.system;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.suser.model.system.TUserModule;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @ClassName UserModuleMapper
 * Description 用户常用模块
 * Author WN
 * Date 2020/6/15 14:51
 **/
@Repository
public interface UserModuleMapper extends TkMapper<TUserModule> {
    /**
     * @author ywx
     * @description 根据用户id删除没有权限的常用模块
     * @date 2020/7/9 20:55
     **/
    Integer deleteNoRoleByUserId(@Param("userid") Integer userid);
}
