package com.xhkjedu.suser.vo.system;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * @ClassName TeacherRoleParam
 * Description 教师设置权限时传输参数
 * Author WN
 * Date 2020/6/18 9:50
 **/
@Data
public class TeacherRoleParam {

    private Integer teacherid;//老师id

    //角色
    private List<Integer> rolelist = new ArrayList<>();

    //教材
    private List<String> lsblist = new ArrayList<>();

    //班级
    private List<Integer> classlist = new ArrayList<>();

    private Integer createid;//创建人id

    private Integer schoolid;//学校id

    private Integer year;//当前年份

    private String subjectid;//科目id

    //班级类型1行政班2提高班3直播班
    private Integer classtype;

    //年级id
    private Integer gradeid;

    //集团校班级
    private List<Map> jtclasslist = new ArrayList<>();
}

