package com.xhkjedu.sapi.mapper.appversion;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sapi.model.appversion.TAppthirdMonitor;
import com.xhkjedu.sapi.model.appversion.TAppthirdMonitoranalyze;
import com.xhkjedu.sapi.vo.appversion.AppSearchVo;
import com.xhkjedu.sapi.vo.appversion.AppthirdMonitorPVo;
import com.xhkjedu.sapi.vo.appversion.AppthirdMonitorVo;
import com.xhkjedu.sapi.vo.appversion.AppthirdMonitoranalyzeVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AppthirdMonitorMapper extends TkMapper<TAppthirdMonitor> {
    //应用外监控未处理列表
    List<AppthirdMonitorVo> listAll(@Param("monitor") AppSearchVo monitor, Integer year);

    //学生未处理监控详情
    List<AppthirdMonitorPVo> listPeople(@Param("monitor") AppSearchVo monitor, Integer year);

    //标记为已处理
    void handle(@Param("amids") List<Integer> amids, @Param("analyze") TAppthirdMonitoranalyze analyze
            , @Param("timestamp") int timestamp);

    //未处理列表
    List<AppthirdMonitoranalyzeVo> listByStudentId(@Param("monitor") AppSearchVo monitor, Integer year);

    //应用外监控已处理列表
    List<AppthirdMonitorVo> listAll2(@Param("monitor") AppSearchVo monitor, Integer year);

    //学生已处理监控详情
    List<AppthirdMonitorPVo> listPeople2(@Param("monitor") AppSearchVo monitor, Integer year);
}
