package com.xhkjedu.sapi.mapper.notice;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sapi.model.notice.TNotice;
import com.xhkjedu.sapi.model.notice.TNoticeTeacher;
import org.apache.ibatis.annotations.Param;

public interface NoticeTeacherMapper extends TkMapper<TNoticeTeacher> {
    /**
     * 批量添加
     * @Param [notice]
     * @Author ywx
     * @Date 2020/6/13 10:01
     * @return java.lang.Integer
     **/
    Integer batchSave(@Param("notice") TNotice notice);

    /**
     * 删除通知对象
     * @Param [noticeid]
     * @Author ywx
     * @Date 2020/6/13 10:00
     * @return java.lang.Integer
     **/
    Integer deleteByNoticeId(@Param("noticeid") Integer noticeid);

    /**
     * 查看
     * @Param [noticeid, teacherid]
     * @Author ywx
     * @Date 2020/6/13 11:17
     * @return java.lang.Integer
     **/
    Integer reade(@Param("noticeid") Integer noticeid, @Param("teacherid") Integer teacherid
            , @Param("timestamp") int timestamp);
}
