package com.xhkjedu.sapi.mapper.system;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sapi.model.system.TSchoolFriend;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @Description
 * @Author WN
 * Date 2022/9/22 16:08
 **/
@Repository
public interface SchoolFriendMapper extends TkMapper<TSchoolFriend> {

    //获取关联学校id
    List<Map<String,Object>> listFSchoolidsBySchoolid(@Param("schoolid")Integer schoolid);

    //删除学校附属学校
    void deleteBySchoolid(@Param("schoolid")Integer schoolid);

    //获取学校关联的所有行政班
    List<Map<String,Object>> listSchoolClass(@Param("schoolid")Integer schoolid);

    //获取附属学校关联的所有行政班
    List<Map<String,Object>> listFriendSchoolClass(@Param("schoolid")Integer schoolid);
}
