package com.xhkjedu.sapi.model.classreport;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_report_class_errorque")
@Data
public class TReportClassErrorque extends BaseBean {
    @Id
    //分析--班级报告--错题统计
    private Integer ceqid;

    //班级报告类型id
    private Integer creportid;

    //班级数量
    private Integer classnum;

    //错题总量
    private Integer ceqnum;

    //最高数量
    private Integer ceqmaxnum;

    //排名
    private Integer ceqrank;

    //数量同比
    private Double prerate;

    //错题题型分布json字符串
    private String qtypejson;

    //知识点分布json
    private String pointjson;

    //创建时间
    private Integer createtime;

    @Transient
    //开始时间
    private String begindate;

    @Transient
    //结束时间
    private String enddate;
}
