package com.xhkjedu.sapi.model.system;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description 学校学年升级年级记录表
 * @Author ywx
 * Date 2023/6/29 15:08
 **/
@Table(name = "t_school_upgrade_history")
@Data
public class TSchoolUpgradeHistory extends BaseBean {
    @Id
    private Integer suhid;//学校学年升级年级记录表
    private Integer schoolid;//学校id
    private Integer suid;//学年升级id
    private Integer gradeid;//学年升级id
    private Integer classyxznum;//应升级行政班数量
    private Integer classsxznum;//实际升级行政班数量
    private Integer classyxnnum;//应升级虚拟班数量
    private Integer classsxnnum;//实际升级虚拟班数量
    private Integer stuyupnum;//应升级学生数量
    private Integer stusupnum;//实际升级学生数量
}
