package com.xhkjedu.sclass.mapper.classroom;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sclass.model.classroom.TClassroomPaperStudentScantron;
import com.xhkjedu.sclass.model.paperstudent.TPaperStudentScantron;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @classname RoomPaperStudentScantronMapper
 * @description
 * @date 2020/7/15 8:37
 **/
public interface ClassroomPaperStudentScantronMapper extends TkMapper<TClassroomPaperStudentScantron> {
    //批量更新试题批改信息
    void updateScantronQuestionBatch(@Param("list") List<TPaperStudentScantron> psslist);

    //获取考试学生待批改试题列表
    List<Map> listCorrectQuestion(Integer psid);

    //修改学生作答记录（教师添加批注）
    void updateScantronUseranswer(Integer pssid, String useranswer);
}
