package com.xhkjedu.sclass.model.classroom;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

@Table(name = "t_classroom")
@Data
public class TClassroom extends BaseBean {
    //课堂主键id
    @Id
    private Long roomid;

    //课堂名称
    private String roomname;

    //所属班级
    private Integer classid;

    //课堂状态0默认1进行中2已结束
    private Integer roomstate;

    //教材关联id
    private String lsbid;

    //教师id
    private Integer teacherid;

    //章节类型1系统2自定义
    private Integer directortype;

    //章节id
    private String directorid;

    //班级学生总人数
    private Integer classnum;

    //班级实际签到学生数量
    private Integer realstunum;

    //结束时间
    private Integer endtime;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //当前学年
    private Integer year;

    @Transient
    //科目id
    private String subjectid;

    @Transient
    //学生id
    private Integer studentid;

    @Transient
    private List<TClassroomAskteacher> askteachers;
}
