package com.xhkjedu.sclass.model.classroom;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

@Table(name = "t_classroom_askteacher")
@Data
public class TClassroomAskteacher extends BaseBean {
    //互动发起方主键id
    @Id
    private Long asktid;

    //课堂id(cc_class)
    private Long roomid;

    //互动类型20抢答21随机点名30判断题31选择题32简答题40课堂小测
    private Integer asktype;

    //课堂小测id(t_paper)
    private Long paperid;

    //互动类型下互动次数
    private Integer asknum;

    //图片地址(用户教师发送试题图片路径)
    private String teacherpic;

    //单选题选项数量
    private Integer radionum;

    //单选题正确答案（大写字母）
    private String radioanswer;

    //互动发起时间（时间戳）
    private Integer createtime;

    //学校id
    private Integer schoolid;

    @Transient
    //学生作答详情
    private List<TClassroomAskstudent> students;
}
