package com.xhkjedu.sclass.model.classroom;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

@Table(name = "t_classroom_paper")
@Data
public class TClassroomPaper extends BaseBean {
    @Id
    //作业表
    private Long paperid;

    //作业名称
    private String papername;

    //试题数量
    private Integer papernum;

    //作业总分
    private Double paperscore;

    //科目id
    private String subjectid;

    //关联关系id
    private String lsbid;

    //章节id
    private String directorid;

    //作业说明
    private String comm;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //作业附件
    @Transient
    private List<TClassroomPaperFile> pfiles = new ArrayList<>();

    //答题卡种试题json对象集合
    @Transient
    private List<TClassroomPaperQtype> qtypes;
}