package com.xhkjedu.sclass.model.classroom;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "t_classroom_paper_student_scantron")
@Data
public class TClassroomPaperStudentScantron extends BaseBean {
    @Id
    //课堂检测学生答题卡表
    private Integer pssid;

    //作业id
    private Long paperid;

    //班级id
    private Integer classid;

    //学生id
    private Integer studentid;

    //作业答题卡id
    private Long pscaid;

    //作业学生id
    private Integer psid;

    //排序
    private Integer qorder;

    //是否作答0未作答1已作答
    private Integer answered;

    //提交时间
    private Integer answertime;

    //花费时间（秒）
    private Integer costtime;

    //是否批改0默认未批改1已批改2批改中
    private Integer checked;

    //学生得分
    private Double stuscore;

    //试题分值
    private Double qscore;

    //批改人id
    private Integer checkid;

    //批改时间
    private Integer checktime;

    //学校id
    private Integer schoolid;

    //学生答案
    private String useranswer;
}