package com.xhkjedu.sexam.mapper.paperstudent;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sexam.model.paperstudent.EPsqbatch;
import com.xhkjedu.sexam.model.paperstudent.EPsqbatchDetail;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface EPsqbatchMapper extends TkMapper<EPsqbatch> {

    //获取考试科目
    List<Map> listSubjectsByExamid(@Param("examid")Integer examid);

    //考试补录成绩批次信息
    List<Map> listPsqBatchsByExamid(@Param("examid")Integer examid);

    //获取补录成绩批次详情
    List<Map> listPsqBatchDetail(@Param("ed") EPsqbatchDetail ed);

}