package com.xhkjedu.sexam.model.paper;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Table(name = "e_paper_qtype")
@Data
public class EPaperQtype extends BaseBean {
    @Id
    //考试试卷题型表
    private Integer eptid;

    //试卷id
    private Integer epid;

    //处理题型
    private Integer ctype;

    //题型名称
    private String eptname;

    //题型下试题数量
    private Integer eptnum;

    //题型排序
    private Integer eptorder;

    //题型下试题总分值
    private Double eptscore;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //试题集合
    @Transient
    private List<EPaperQtypeQuestion> questions = new ArrayList<>();

    @Transient
    private List<Map> queslist = new ArrayList<>();
}