package com.xhkjedu.sexam.model.paperstudent;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 修改学生试卷分值记录表
 */
@Data
@Table(name = "e_paper_student_question_history")
public class EPaperStudentQuestionHistory extends BaseBean {
    //试卷学生分修改记录表
    @Id
    private Integer epsqhid;

    //考试id
    private Integer examid;

    //试卷id
    private Integer epid;

    //科目id
    private String subjectid;

    //班级id
    private Integer classid;

    //学生id
    private Integer studentid;

    //学生作答试题id
    private Integer epsqid;

    //修改试题题号
    private String qn;

    //学生原得分
    private Double stuscore;

    //修改后分值
    private Double upscore;

    //修改考试
    private Integer teacherid;

    //修改时间
    private Integer createtime;
}
