package com.xhkjedu.sexam.model.paperstudent;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description: 考试补录批次表
 * @Author: ywx
 * @CreateTime: 2022/11/21 14:16
 */
@Table(name = "e_psqbatch")
@Data
public class EPsqbatch extends BaseBean {
    @Id
    private Integer batchid;

    //科目名称
    private String subjectname;

    //考试id
    private Integer examid;

    //试卷id
    private Integer epid;

    //补录人数
    private Integer stunum;

    //修改教师
    private Integer teacherid;

    //修改时间
    private Integer createtime;
}
