package com.xhkjedu.sexam.model.paperstudent;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description: 考试补录批成绩详情表
 * @Author: ywx
 * @CreateTime: 2022/11/21 14:16
 */
@Table(name = "e_psqbatch_detail")
@Data
public class EPsqbatchDetail extends BaseBean {
    @Id
    private Integer detailid;

    //扫描批次名称
    private Integer batchid;

    //学生id
    private Integer studentid;

    //试卷id
    private Integer epid;

    //试卷中试题id
    private Integer eptqid;

    //学生试题id
    private Integer epsqid;

    //试题题号
    private String qn;

    //学生原得分
    private Double stuscore;

    //修改后分值
    private Double newscore;

    //修改教师
    private Integer teacherid;

    //修改时间
    private Integer createtime;

    @Transient
    private String username;//用户姓名
}
