package com.xhkjedu.sexam.model.paperstudent;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description: TODO 扫描出错信息
 * @Author: wn
 * @CreateTime: 2022-08-11  09:24
 */
@Data
@Table(name = "e_scanerror")
public class EScanerror extends BaseBean {
    @Id
    private Integer serrorid;

    //扫描批次id
    private Integer batchid;

    //错误信息类型1扫描出错2考号有误3考号重复4缺考异常
    private Integer errortype;

    //当前批次第几页
    private Integer pagenum;

    //学生答题未处理图片
    private String stupic;

    private String examno;//考号

    //错误内容
    private String errorjson;

    //创建时间
    private Integer createtime;

    //状态0待处理1已处理10已删除
    private Integer errorstate;

    //缺考结果2非缺考3缺考
    private Integer qkjg;

    @Transient
    //扫描批次名称
    private String batchname;

    @Transient
    private Integer epid;

    @Transient
    private Integer converted;

}
