package com.xhkjedu.sexam.model.reportclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "e_rclass_rank")
@Data
public class ERclassRank extends BaseBean {
    @Id
    //考试报告班级等级分布表
    private Integer rcrid;

    //考试id
    private Integer examid;

    //班级id
    private Integer classid;

    //科目id
    private String subjectid;

    //类型1等级2分数段3临界分4临界名次5优秀年级前6学困年级后
    private Integer ranktype;

    //等级名称
    private String rankname;

    //等级分类范围
    private String rankrange;

    //学生人数
    private Integer stunum;

    //占比
    private Double sturate;

    //学生名单及名次
    private String stujson;
}