package com.xhkjedu.sexam.model.reportstu;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @Description考考试报告试卷学生题型分析表
 * @Author WN
 * Date 2022/8/15 14:10
 **/
@Table(name = "e_rstudent_complexity")
@Data
public class ERStudentComplexity extends BaseBean {
    @Id
    //考试报告学生试题难易度分析表
    private Integer erscid;

    //考试id
    private Integer examid;

    //科目id
    private String subjectid;

    //试卷id
    private Integer epid;

    //学生id
    private Integer studentid;

    //班级id
    private Integer classid;

    //难易度
    private Integer complexity;

    //学生得分
    private Double stuscore;

    //学生得分率
    private Double stusrate;
}
