package com.xhkjedu.sexam.model.reportstu;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

@Table(name = "e_rstudent")
@Data
public class ERstudent extends BaseBean {
    @Id
    //考试报告学生基础分值表
    private Integer rsid;

    //班级id
    private Integer classid;

    //学生id
    private Integer studentid;

    //考试id
    private Integer examid;

    //科目id
    private String subjectid;

    //科目名称
    private String subjectname;

    //分数
    private Double score;

    //标准分
    private Double bzscore;

    //班次
    private Integer classrank;

    //排名变化
    private Integer classrankpre;

    //班最高分
    private Double classmaxscore;

    //班平均分
    private Double classavgscore;

    //校次
    private Integer schoolrank;

    //校最高分
    private Double schoolmaxscore;

    //校平均分
    private Double schoolavgscore;

    //本次目标（上次考试的下次目标）
    private Integer goal;

    //下次目标
    private Integer nextgoal;

    @Transient
    //状态0未进场1已进场2已交卷3缺考
    private Integer sstate;

    @Transient
    //学生姓名
    private String studentname;

    @Transient
    //总分校次
    private Integer zfSchoolRank;

    @Transient
    //班级ids
    private List<Integer> classids = new ArrayList<>();

    @Transient
    //排序字段
    private String fieldname;

    @Transient
    //标识排序类型1升序2降序
    private Integer od;

    @Transient
    private Integer teacherid;//教师id

    @Transient
    private Integer showrank;//显示排名得分0保密1分数2分数+班排名3分数+班/校排名

}