package com.xhkjedu.sexam.model.reportstu;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

@Table(name = "e_rstudent_action")
@Data
public class ERstudentAction extends BaseBean {
    @Id
    //考试报告学生行为分析表
    private Integer rsaid;

    //班级id
    private Integer classid;

    //学生id
    private Integer studentid;

    //考试id
    private Integer examid;

    //类型1违纪2优秀
    private Integer actiontype;

    //科目信息
    private String subjectjson;

    @Transient
    //科目id
    private String subjectid;

    @Transient
    //班级ids
    private List<Integer> classids = new ArrayList<>();
}