package com.xhkjedu.sexam.vo.report;

import com.xhkjedu.sexam.model.report.ERrank;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description 考试报告等级信息
 * @Author ywx
 * Date 2022/8/29 10:57
 **/
@Data
public class ERankParamVo {

    private Integer examid;//考试id

    private Integer epid;//试卷id
    
    private Integer qorder;//试题排序

    private Integer createid;//操作人id

    private String subjectid;//科目id

    private Integer classid;//班级id

    private List<Integer> classids = new ArrayList<>();//班级ids

    //类型1等级2分数段3临界分4临界名次5优秀年级前6学困年级后
    private Integer ranktype;

    private List<ERrank> rranks;//等级

    private Integer showrank;//显示排名得分0保密1分数2分数+班排名3分数+班/校排名
}
