package com.xhkjedu.slive;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import tk.mybatis.spring.annotation.MapperScan;

@SpringBootApplication(scanBasePackages = "com.xhkjedu")
@MapperScan("com.xhkjedu.slive.mapper")
@EnableEurekaClient
public class SliveApplication {

    public static void main(String[] args) {
        SpringApplication.run(SliveApplication.class, args);
    }

}
