package com.xhkjedu.slive.model.gradeclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_class_teacher")
@Data
public class TClassTeacher extends BaseBean {
    //班级教师表
    @Id
    private Integer ctid;

    //班级id
    private Integer classid;

    //教师id
    private Integer teacherid;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //教师姓名
    @Transient
    private String teachername;

    //手机号
    @Transient
    private String userphone;

    //排序字段：姓名teachername 登录账号loginname 创建时间createtime
    @Transient
    private String fieldname;

    //排序规则：正序asc 倒序desc
    @Transient
    private String fieldorder;

    @Transient
    //所属年级
    private Integer gradeid;

    @Transient
    //科目id
    private String subjectid;

    @Transient
    //当前年份
    private Integer year;
}
