package com.xhkjedu.slive.model.liveplay;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "l_course_section")
@Data
public class LCourseSection extends BaseBean {
    @Id
    //课节表id
    private Integer sectionid;

    //课程表id
    private Integer courseid;

    //教师id
    private Integer teacherid;

    //课节名称
    private String sectionname;

    //课节介绍
    private String comm;

    //课节排序
    private Integer sectionorder;

    //课节日期
    private String sectiondate;

    //课节计划开始时间(10:55)
    private String planbegintime;

    //课节计划结束时间
    private String planendtime;

    //课节开始时间
    private String begintime;

    //课节结束时间
    private String endtime;

    //实际参加学生数量
    private Integer stunum;

    //状态0未开始2进行中3已结束4已过期
    private Integer sectionstate;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //在课堂中总时长(秒)
    private Integer totaltime;

    @Transient
    //班级id
    private Integer classid;

    @Transient
    //回放数量
    private Integer playnum;

    @Transient
    private Integer schoolid;//学校id

    @Transient
    private Integer gradeid;//年级

    @Transient
    private String subjectid;//科目id

    @Transient
    private String strtime;//当前时间
}
