package com.xhkjedu.slive.model.liveplay;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "l_course_section_playback")
@Data
public class LCourseSectionPlayback extends BaseBean {
    @Id
    //课程课节回放表
    private Integer pbid;

    //课节id
    private Integer sectionid;

    //声网视频sid
    private String sid;

    //开始时间
    private Integer begintime;

    //结束时间
    private Integer endtime;

    //视频编码格式
    private String mc;

    //视频回放地址
    private String pb;

    //视频封面图地址
    private String cover;

    //视频时长(单位：秒)
    private Integer duration;

    //查看次数
    private Integer rn;

    //下载次数
    private Integer dn;

    //创建时间
    private Integer createtime;

    //录制服务id
    private Integer rsid;
}
