package com.xhkjedu.slive.model.xz;
import com.xhkjedu.model.BaseBean;
import com.xhkjedu.slive.vo.xz.XzDateVo;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 *@Description 行政直播概要表
 *@Author WN
 *Date 2022/3/30 11:52
 **/
@Data
@Table(name = "l_xz")
public class LXz extends BaseBean {
    //行政直播概要表
    @Id
    private Integer xzid;

    //名称
    private String xzname;

    //概要
    private String xzcomm;

    //年级
    private Integer gradeid;

    //日课节数
    private Integer daynum;

    //开始日期
    private String begindate;

    //结束日期
    private String enddate;

    //是否删除1正常10已删除
    private Integer deleted;

    //当前步骤：1基础信息2课程表3设置完成
    private Integer curstep;

    //保存状态：1保存中
    private Integer savestate;

    //创建人
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //行政直播日期集合
    @Transient
    private List<XzDateVo> xzdatas;
}
