package com.xhkjedu.slive.vo.liveplay;

import lombok.Data;

@Data
public class CourseSectionVo {
    //课节表id
    private Integer sectionid;

    //课节名称
    private String sectionname;

    //课节日期
    private String sectiondate;

    //课节计划开始时间(10:55)
    private String planbegintime;

    //课节计划结束时间
    private String planendtime;

    //课节开始时间
    private String begintime;

    //课节结束时间
    private String endtime;

    //状态0未开始2进行中3已结束4已过期
    private Integer sectionstate;

    //教师id
    private Integer teacherid;

    //课程id
    private Integer courseid;

    //课程名称
    private String coursename;

    //老师姓名
    private String teachername;

    private String subjectid;//科目id

    private String subjectname;//科目名称

    //时长(分钟)
    private Integer totaltime;

    //班级id
    private Integer classid;

    //课件数量
    private Integer coursenum;

    //回放数量
    private Integer playnum;

    //实际参加学生数量
    private Integer stunum;

    //课节排序
    private Integer sectionorder;

    //创建人id
    private Integer createid;

    //年级id
    private Integer gradeid;

    //课程简介
    private String comm;

    //所属学段1小学2初中3高中4大学
    private Integer level;

    //科目排序
    private Integer subjectorder;

    //班级类型 0自动生成1指定班级
    private Integer coursetype;

    //班级数量
    private Integer classnum;

    //学校数量
    private Integer schoolnum;

    //直播学校0单个1多个
    private Integer courseschool;

    //课程类别0专题直播1行政直播
    private Integer courseclass;
}
