package com.xhkjedu.sstudy;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.scheduling.annotation.EnableAsync;
import tk.mybatis.spring.annotation.MapperScan;

@SpringBootApplication(scanBasePackages = "com.xhkjedu")
@MapperScan(basePackages = {"com.xhkjedu.sstudy.mapper"})
@EnableEurekaClient
@EnableAsync
public class SstudyApplication {

    public static void main(String[] args) {
        SpringApplication.run(SstudyApplication.class, args);
    }

}
