package com.xhkjedu.sstudy.mapper.paperreport;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface PaperStudentReportMapper {
    //作业概况-学生概况
    Map getPaperStu(@Param("paperid") Integer paperid, @Param("classid") Integer classid
            ,@Param("studentid") Integer studentid);

    //作业概况-试题错误率
    List<Map> listPaperClassQuestionRate(@Param("paperid") Integer paperid, @Param("classid") Integer classid
            ,@Param("studentid") Integer studentid);

    //作业概况-知识点错误率
    List<Map> listPaperClassPointRate(@Param("paperid") Integer paperid, @Param("classid") Integer classid
            ,@Param("studentid") Integer studentid);

    //作业分析
    Map getPaperAnalyze(@Param("paperid") Integer paperid, @Param("classid") Integer classid
            ,@Param("studentid") Integer studentid);

    //题库作业试题
    List<Map> listTkSt(@Param("paperid") Integer paperid, @Param("classid") Integer classid
            , @Param("studentid") Integer studentid,@Param("showanswer") Integer showanswer);

    //附件作业试题
    List<Map> listFjSt(@Param("paperid") Integer paperid, @Param("classid") Integer classid
            ,@Param("studentid") Integer studentid,@Param("showanswer") Integer showanswer);

    //题库作业子题
    List<Map> listZtQuestion(@Param("questionids") List<String> questionids,@Param("psid") Integer psid
            ,@Param("showanswer") Integer showanswer);

    //优秀作答
    List<Map> listGoodAnswer(@Param("paperid") Integer paperid, @Param("classid") Integer classid
            ,@Param("papertype") Integer papertype);

    //作业基本信息
    Map getPaper(@Param("paperid") Integer paperid, @Param("classid") Integer classid,@Param("studentid") Integer studentid);
}