package com.xhkjedu.sstudy.mapper.recite;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sstudy.model.recite.TRecite;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @ClassName ReciteMapper
 * Description 背诵
 * Author WN
 * Date 2020/6/10 9:22
 **/
@Repository
public interface ReciteMapper extends TkMapper<TRecite> {
    /**
     *功能描述 修改
     * @author WN
     * @date 2020/6/10
     * @param  * @param recite
     * @return java.lang.Integer
     */
    Integer updateRecite(@Param("recite") TRecite recite);

    /**
     * 功能描述 列表--网页
     *
     * @param * @param recite
     * @return java.util.Map
     * @author WN
     * @date 2020/6/10
     */
    List<Map> listRecites(@Param("recite") TRecite recite);

    /**
     * 获取背诵班级
     *
     * @return java.util.List<java.util.Map>
     * @Param [reciteid]
     * @Author ywx
     * @Date 2022/6/21 10:36
     **/
    List<Map> listClass(@Param("recite") TRecite recite);

    //获取背诵年份
    Integer getYearById(@Param("reciteid") Integer reciteid);
}
