package com.xhkjedu.sstudy.mapper.subjectbook;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sstudy.model.subjectbook.TVersion;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName VersionMapper
 * Description TODO 教材版本
 * Author WN
 * Date 2021/3/10 15:06
 **/
@Repository
public interface VersionMapper extends TkMapper<TVersion> {
    List<TVersion> listVersions(@Param("version") TVersion version);

    //查找使用版本的模块
    String findUseModule(String versionid);
}
