package com.xhkjedu.sstudy.model.paper;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "t_paper_qtype_question")
@Data
public class TPaperQtypeQuestion extends BaseBean {
    //试卷题型试题表id
    @Id
    private Integer ptqid;

    //试卷题型表id
    private Integer ptid;

    //试卷id
    private Integer paperid;

    //试题id
    private String questionid;

    //试题分值
    private Double ptqscore;

    //试题题号
    private Integer ptqorder;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    private String qn;//显示题号

    //复合题对应母题id
    private String questionpid;

    //复合题母题分值
    private Double mscore;

    //母题题型id
    private String mqtypeid;

    //母题题型名称
    private String mqtypename;

    //处理题型1单选题2多选题3主观题4判断对错5判断✔6判断TF7完形填空8阅读理解
    private Integer ctype;
}
