package com.xhkjedu.sstudy.model.paperreport;

import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/*
 * @Description 作业报告班级分数段表
 * @Author WN
 * @Date 2023/4/17 9:40
 */
@Data
@Table(name = "t_paper_rclass_rank")
public class PaperRclassRank {
    @Id
    private Integer pcrid;

    // 作业id
    private Integer paperid;

    // 班级id
    private Integer classid;

    // 分数等级类型
    private Integer ranktype;

    // 分数等级范围
    private String rankname;

    // 学生数量
    private Integer stunum;

    // 学生数量占比
    private Double sturate;

    // 学生名单及分数
    private String stujson;

}