package com.xhkjedu.sstudy.model.paperreport;

import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/*
 * @Description 作业报告学生表
 * @Author WN
 * @Date 2023/4/17 9:41
 */
@Data
@Table(name = "t_paper_rstudent")
public class PaperRstudent {
    @Id
    private Integer prsid;

    // 作业id
    private Integer paperid;

    //班级id
    private Integer classid;

    // 学生id
    private Integer studentid;

    // 主观题总分
    private Double zgtscore;

    // 学生主观题得分
    private Double stuzgtscore;

    // 客观题总分
    private Double kgtscore;

    // 学生客观题得分
    private Double stukgtscore;

    //学生得分
    private Double stuscore;

    //学生得分率
    private Double stuscorerate;

}