package com.xhkjedu.sstudy.model.paperreport;

import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

/*
* @Description 作业报告学生试题错误率表
* @Author WN
* @Date 2023/6/9 9:32:02
*/
@Data
@Table(name = "t_paper_rstudent_question")
public class PaperRstudentQuestion {
    @Id
    private Integer prsqid;

    // 作业id
    private Integer paperid;

    // 班级id
    private Integer classid;

    //学生id
    private Integer studentid;

    // 处理题型
    private Integer ctype;

    // 试题id
    private String questionid;

    // 作业试题主键id
    private Integer ptqid;

    // 题号
    private String qn;

    // 试题排序
    private Integer qorder;


    //作业题型id
    private Integer ptid;

    //题型序号
    private Integer ptorder;

    // 试题题型id
    private String qtypename;

    // 试题分值
    private Double qscore;

    //班级得分率
    private Double classscorerate;

    //班级失分率
    private Double classlostrate;

    // 学生试题得分率
    private Double scorerate;

    // 学生试题失分率
    private Double lostrate;

}