package com.xhkjedu.sstudy.model.paperstudent;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_paper_student_question")
@Data
public class TPaperStudentQuestion extends BaseBean {
    //试卷学生试题表主键id
    @Id
    private Integer psqid;

    //试卷id
    private Integer paperid;

    //班级id
    private Integer classid;

    //班级分组id
    //private Integer groupid;

    //学生id
    private Integer studentid;

    //试卷学生id
    private Integer psid;

    //试题id
    private String questionid;

    //是否作答0未作答1已作做答
    private Integer answered;

    //提交时间(时间戳）
    private Integer answertime;

    //单题花费时间 秒
    private Integer costtime;

    //是否批改0默认未批改1已批改2批改中
    private Integer checked;

    //试题原分值
    private Double qscore;

    //用户得分
    private Double stuscore;

    //试题序号
    private Integer qorder;

    //批改人id
    private Integer checkid;

    //批改时间
    private Integer checktime;

    //批语
    private String checkcomm;

    //学校id
    private Integer schoolid;

    //答案类型1选择题、图片2纯文本3视频4音频
    private Integer answertype;

    //优秀作答0默认1优秀
    private Integer good;

    //学生答案
    private String useranswer;

    //学生答案富文本
    private String useranswertext;

    //答案纯文本
    private String useranswertxt;

    private Integer converted;//是否转换0未转换1已转换2转换失败

    private String qn;//显示题号
    private String questionpid;//复合题对应母题id

    @Transient
    //试题题型id
    private String qtypeid;

    @Transient
    private Integer od;//标识排序类型1升序2降序

    @Transient
    //作业类型1结构性试题2自定义答题卡3靶向作业
    private Integer papertype;
}
