package com.xhkjedu.sstudy.model.recite;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Table(name = "t_recite")
@Data
public class TRecite extends BaseBean {
    //背诵表
    @Id
    private Integer reciteid;

    //背诵内容标题
    private String recitetitle;

    //科目id
    private String subjectid;

    //创建人
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //作业状态：21未布置 22 已布置
    private Integer recitestate;

    //背诵内容
    private String recitecont;

    //是否有伙伴学校：0没有1有
    private Integer hashb;

    //发布学年
    private Integer year;

    //班级
    @Transient
    private List<TReciteGroup> rclist = new ArrayList<>();

    //开始时间
    @Transient
    private Integer starttime;

    //结束时间
    @Transient
    private Integer stoptime;

    @Transient
    private Integer nowtime;

    //集团校班级
    @Transient
    private List<Map> jtrclist = new ArrayList<>();

    //权限班级id字符串
    @Transient
    private String classids;

    //本校权限班级id字符串
    @Transient
    private String bxclassids;

}
