package com.xhkjedu.sstudy.service.gradeclass;

import com.xhkjedu.sstudy.mapper.gradeclass.ClassMapper;
import com.xhkjedu.sstudy.utils.StudyUtil;
import com.xhkjedu.utils.N_Utils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @Description 班级
 * @Author WN
 * @Date 2023/4/12 14:30
 **/
@Service
public class ClassService {
    @Resource
    private ClassMapper classMapper;

    /*
    * @Description 获取教师权限下班级包含伙伴学校
    * @Author WN
    * @Date 2023/4/12 14:31
    */
    public Map getQxClassidsByTeacherid(Integer teacherid, Integer year){
        //获取教师权限下班级包含集团校
        List<Map> classlist = classMapper.listQxClassByTeacherid(teacherid, year);

        return StudyUtil.setQxClass(classlist);
    }
}
