package com.xhkjedu.sstudy.vo.paper;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName PaperScantronQtypeVo
 * Description 答题卡题型
 * Author WN
 * Date 2020/6/11 11:26
 **/
@Data
public class PaperScantronQtypeVo {
    private Integer psqtypeid;
    //试题题型id
    private String qtypeid;

    //试题题型名称
    private String qtypename;

    //题型序号
    private Integer pstorder;

    //题型总分
    private Double pstscore;

    //题型下试题数量
    private Integer pstnum;

    //处理题型1单选题2多选题3主观题4判断对错5判断✔6判断TF7完形填空8阅读理解
    private Integer ctype;

    //题型下试题数量
    List<ScantronVo> scantrons = new ArrayList<>();
}
