package com.xhkjedu.sstudy.vo.paperreport;

import lombok.Data;

/**
 * @Description 作业学生作答情况
 * @Author WN
 * @Date 2023/4/17 10:36
 **/
@Data
public class PaperRStuQuestionVo {
    // 试卷学生id
    private Integer psid;

    // 试卷学生试题表主键id
    private Integer psqid;

    // 试卷id
    private Integer paperid;

    // 学生id
    private Integer studentid;

    // 学生姓名
    private String stuname;

    private Integer classid;// 班级id

    private Integer schoolid;// 学校id

    // 试题id
    private String questionid;

    //试题父id
    private String questionpid;

    private Integer ptqid;//作业中试题id

    // 是否作答0未作答1已作做答
    private Integer answered;

    // 单题花费时间 秒
    private Integer costtime;

    // 试题原分值
    private Double qscore;

    // 用户得分
    private Double stuscore;

    // 试题序号
    private Integer qorder;

    private String qn;// 显示题号

    // 答案类型1选择题、图片2纯文本
    private Integer answertype;

    // 学生答案
    private String useranswer;

    // 学生答案富文本
    private String useranswertext;

    // 答案纯文本
    private String useranswertxt;

    //题型名称
    private String qtypename;

    //处理题型
    private Integer ctype;

    //作业题型id
    private Integer ptid;

    //题型序号
    private Integer ptorder;

    //批阅状态是否批改0默认未批改1已批改2批改中
    private Integer checked;

}
