package com.xhkjedu.sstudy.vo.paperstudent;

import lombok.Data;

import java.util.List;

@Data
public class PaperStudentQuestionVo {
    //试卷学生id
    private Integer psid;

    //试卷学生试题表主键id
    private Integer psqid;

    //试卷id
    private Integer paperid;

    //学生id
    private Integer studentid;

    //学生姓名
    private String studentname;

    //试题id
    private String questionid;

    //处理题型1单选题2多选题3主观题4判断对错5判断✔6判断TF7完形填空8阅读理解
    private Integer ctype;

    //试题难易度
    private Integer complexity;

    //试题题干
    private String qstem;

    //试题选项
    private String qoption;

    //试题答案
    private String qanswer;

    //试题分析
    private String qanalyze;

    private String qtypeid;

    //试题题型名称
    private String qtypename;

    //是否作答0未作答1已作做答
    private Integer answered;

    //提交时间(时间戳）
    private Integer answertime;

    //单题花费时间 秒
    private Integer costtime;

    //是否批改0默认未批改1已批改2批改中
    private Integer checked;

    //试题原分值
    private Double qscore;

    //用户得分
    private Double stuscore;

    //试题序号
    private Integer qorder;

    //答案类型1选择题、图片2纯文本
    private Integer answertype;

    //学生答案
    private String useranswer;

    //学生答案富文本
    private String useranswertext;

    //答案纯文本
    private String useranswertxt;

    private Integer converted;//是否转换0未转换1已转换2转换失败

    //试题正确还是错误 0未批改  1批改中 2正确  3错误
    private Integer corrected;

    //知识点名称
    private String pointname;

    //批语
    private String checkcomm;

    //选项数量
    private Integer optionnum;

    //优秀作答0默认1优秀
    private Integer good;

    private String mqstem;//母题题干
    private String mqoption;//母题选项
    private String mqanswer;//母题答案
    private String mqanalyze;//母题解析
    private String mqtypename;//母题题型名称
    private Integer mhashear;//母题是否是听力题0不是1是
    private String mhearfile;//母题听力题文件地址
    private Integer hashear;//是否是听力题0不是1是
    private String hearfile;//听力题文件地址
    private Integer qlevel;//试题级别1单题2母题
    private Integer mqlevel;//母题试题级别1单题2母题
    private Integer mctype;//母题处理题型
    private Integer sorder;//子题排序
    private String questionpid;//母题id
    private String qn;//显示题号
    private List<PaperStudentQuestionVo> sonques;//子题集合

    private Integer papertype;//作业类型1题库2附件3靶向
    private Integer userid;//用户id
}
