package com.xhkjedu.sstudy.vo.question;

import com.xhkjedu.sstudy.model.question.TQuestionExplain;
import lombok.Data;

import java.util.List;

@Data
public class QuestionClassVo {
    //试题表
    private String questionid;

    //试题分值
    private Double qscore;

    //处理题型1单选题2多选题3主观题4判断对错5判断✔6判断TF7完形填空8阅读理解
    private Integer ctype;

    //试题题干
    private String qstem;

    //试题选项
    private String qoption;

    //试题答案
    private String qanswer;

    //试题分析
    private String qanalyze;

    //试题题型id
    private String qtypeid;

    //试题题型名称
    private String qtypename;

    //试题类型1题库2答题卡
    private Integer qctype;

    //平均分
    private Double avgscore;

    //错误率（乘以%）
    private Double errorrate;

    //试题讲解
    private List<TQuestionExplain> explains;

    //已提交人数
    private Integer ytjnum;

    //未提交人数
    private Integer wtjnum;

    //知识点名称
    private String pointname;

    //组题次数
    private Integer count;

    //班级错题id
    private Integer qcid;

    //是否是听力题0不是1是
    private Integer hashear;

    //听力题文件地址
    private String hearfile;

    private String qn;//题号
}
