package com.xhkjedu.sstudy.vo.question;

import com.xhkjedu.sstudy.vo.subjectbook.DirectorVo;
import com.xhkjedu.sstudy.vo.subjectbook.PointVo;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class QuestionVo {
    //试题表
    private String questionid;

    //试题分值
    private Double score;

    //试题难易度
    private Integer complexity;

    //处理题型1单选题2多选题3主观题4判断对错5判断✔6判断TF7完形填空8阅读理解
    private Integer ctype;

    //试题题干
    private String qstem;


    private String qstemtxt;

    //试题选项
    private String qoption;

    //试题答案
    private String qanswer;

    //试题分析
    private String qanalyze;

    //试题题型id
    private String qtypeid;

    //试题题型名称
    private String qtypename;

    //创建时间
    private Integer createtime;

    //创建人
    private String createname;

    //是否是听力题0不是1是
    private Integer hashear;

    //听力题文件地址
    private String hearfile;

    //试题关联知识点
    private List<PointVo> points;

    //试题关联章节
    private List<DirectorVo> directors;

    //母题id
    private String questionpid;

    //试题类型1单体2母题3子题
    private Integer qlevel;

    //子题数量
    private Integer snum;

    //子题排序
    private Integer sorder;

    //组题次数
    private Integer count;

    //试题状态0默认1正常（上架）2下架10已删除
    private Integer qstate;

    //来源
    private String source;

    //年份
    private Integer year;

    //归属省份
    private String region;

    //资源归属地学校名称
    private String schoolname;

    //学校id
    private Integer schoolid;

    //科目id
    private String subjectid;

    //章节id
    private String directorid;

    //章节名称
    private String directorname;

    //资源归属1平台1区平台3学校4个人(搜索时5我的收藏 6我的上传)
    private Integer belong;

    //创建人id
    private Integer createid;

    //试题题号
    private Integer ptqorder;

    //关联教材个数
    private Integer lsbnum;

    //关联章节个数
    private Integer directornum;

    //地区全名称
    private String areaall;

    //班级集合
    private List<Map> classes;

    //学校集合
    private List<Map> schools;

    //子题
    private List<Map> sonqlist;

    private String qn;//显示题号
}
