package com.xhkjedu.suser;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.scheduling.annotation.EnableAsync;
import tk.mybatis.spring.annotation.MapperScan;

@SpringBootApplication(scanBasePackages = "com.xhkjedu")
@MapperScan("com.xhkjedu.suser.mapper")
@EnableEurekaClient
@EnableAsync
public class SuserApplication {

    public static void main(String[] args) {
        SpringApplication.run(SuserApplication.class, args);
    }

}
