package com.xhkjedu.suser.model.gradeclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_class_student")
@Data
public class TClassStudent extends BaseBean {
    //班级关联学生id
    @Id
    private Integer csid;

    //班级id
    private Integer classid;

    //学生id
    private Integer studentid;

    //创建人
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //学号
    @Transient
    private String studentno;

    @Transient
    //准考证号
    private String examno;

    //学生姓名
    @Transient
    private String studentname;

    //性别1男2女
    @Transient
    private Integer usersex;

    //全体分组id
    @Transient
    private Integer groupid;

    //原班级id
    @Transient
    private Integer oldclassid;

    //排序字段：学生姓名studentname 学号studentno 创建时间createtime
    @Transient
    private String fieldname;

    //排序规则：正序asc 倒序desc
    @Transient
    private String fieldorder;

    @Transient
    //用户状态1正常2删除
    private Integer userstate;

    @Transient
    //用户手机号
    private String userphone;

    @Transient
    private Integer classtype;//班级类型1行政班2提高班3直播班99已直播班

    @Transient
    //当前年份
    private Integer year;

    @Transient
    //有效期
    private String usertime;

    @Transient
    //头像地址
    private String headpic;

    @Transient
    //是否锁定0未锁定1已锁定
    private Integer userlock;

    //重置默认头像1重置
    @Transient
    private Integer resethead;
}
