package com.xhkjedu.suser.model.gradeclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_grade")
@Data
public class TGrade extends BaseBean {
    //年级表
    @Id
    private Integer gradeid;

    //年级名称
    private String gradename;

    //年级处理顺序
    private Integer gradeorder;

    //所属学段1小学2初中3高中4大学
    private Integer level;

    //入学年（届）
    private Integer schoolyear;

    //当前年份
    private Integer year;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    @Transient
    private Integer classtype;//班级类型1行政班2提高班3直播班99已直播班
}
