package com.xhkjedu.suser.model.gradeclass;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_school")
@Data
public class TSchool extends BaseBean {
    //学校表
    @Id
    private Integer schoolid;

    //学校名称
    private String schoolname;

    //学校简称
    private String shortname;

    //学校状态1正常10删除
    private Integer schoolstate;

    //学校阶段1小学2初中3高中4大学
    private Integer schoollevel;

    //是否绑定硬件地址0不绑定1绑定
    private Integer bindmac;

    //当前年份
    private Integer year;

    //错误率%
    private Integer errorrate;

    //学校域名地址
    private String schooldomain;

    //准考证号长度限制
    private Integer limitenolen;

    //直播授权数量
    private Integer livenum;

    //直播授权有效期
    private Integer livetime;

    //坐标数组
    private String coordinate;

    private Integer docklc;//是否对接领创0不对接1未对接2对接完成

    private Integer usernum;//账号数量

    //创建人
    private Integer createid;

    //创建时间
    private Integer createtime;


    @Transient
    //管理员登录账号
    private String loginname;

    @Transient
    private String cloudcode;//区域码
}
