package com.xhkjedu.suser.model.system;

import com.xhkjedu.model.BaseBean;
import com.xhkjedu.suser.vo.system.RoleModuleVo;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

@Table(name = "t_role")
@Data
public class TRole extends BaseBean {
    //角色表
    @Id
    private Integer roleid;

    //角色名称
    private String rolename;

    //角色类型0管理员1其他角色
    private Integer roletype;

    //角色备注
    private String comm;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //用户数量
    @Transient
    private Integer usernum;

    //选择模块
    @Transient
    private List<RoleModuleVo> modules = new ArrayList<>();
}
