package com.xhkjedu.suser.model.system;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_user_log")
@Data
public class TUserLog extends BaseBean {
    //登录日志主键id
    @Id
    private Integer ulid;

    //用户id
    private Integer userid;

    //姓名
    private String username;

    //登录名
    private String loginname;

    //用户类型999超管0学校管理员1教师2学生
    private Integer usertype;

    //登录状态1成功2失败
    private Integer loginstate;

    //登录时间
    private Integer logtime;

    //登录ip
    private String logip;

    //登录地址
    private String logaddress;

    //登录终端设备
    private String ultype;

    //登录终端品牌（华为、小米、荣耀、vivo、oppo、浏览器名等）
    private String ultypeband;

    //登录终端型号（华为mate9、小米13、浏览器版本号等）
    private String ultypemodel;

    //版本号
    private String versionnum;

    //系统版本（android、鸿蒙、荣耀系统、win等）
    private String systemversion;

    //操作系统位数
    private String systembit;

    //备注
    private String logtxt;

    //登录mac地址
    private String mac;

    //学校id
    private Integer schoolid;

    //学校当前年份
    private Integer year;

    @Transient
    //截止时间
    private Integer endtime;
}
